Skip to main content
POST
/
v1
/
tasks
/
{id}
Update a task
curl --request POST \
  --url https://api.yorlet.com/v1/tasks/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "due_date": 2,
  "priority": 0,
  "important": true,
  "status": "to_do",
  "checklist_items": {},
  "assignee": "<string>"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "task",
  "title": "<string>",
  "description": "<string>",
  "due_date": 123,
  "priority": 1.5,
  "status": "to_do",
  "assignee": {
    "id": "<string>",
    "created": 123,
    "object": "user",
    "email": "<string>",
    "name": "<string>",
    "account": "<string>",
    "deleted": false
  },
  "account": "<string>",
  "deleted": false,
  "important": false,
  "checklist_items": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
title
string
Minimum string length: 1
description
string
Minimum string length: 1
due_date
number
Required range: x >= 1
priority
number
default:0
Required range: 0 <= x <= 3
important
boolean
status
enum<string>
Available options:
to_do,
in_progress,
done
checklist_items
object
assignee
string
Minimum string length: 1

Response

200 - application/json

Returns the task object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
task
title
string
required
description
string
required
due_date
number
required
priority
number
required
Required range: 0 <= x <= 3
status
enum<string>
required
Available options:
to_do,
in_progress,
done
assignee
required

The assignee of this task.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

important
boolean
default:false
checklist_items
object